Skip to main content

List Widget URLs (Deprecated)

GET
/users/{id}/urls

This endpoint has been deprecated.

This endpoint was originally intended to generate URLs for all enabled widgets for a client. This is no longer needed because the get URL with configuration options endpoint supports all MX widgets and MX does not need to enable particular widgets for each client.

New implementations should not use this endpoint in testing or in production. MX will continue to support this endpoint for existing partners who have implemented it, but we encourage all partners to switch to the get URL with configuration optinos endpoint to generate URLs for each individual widget they wish to use.

Request sample

Request
Response
Language:shell

_10
curl -i https://int-sso.moneydesktop.com/{client_id}/users/{user_id}/urls.xml \
_10
-H "Accept: application/vnd.moneydesktop.sso.v3+xml" \
_10
-H "MD-API-KEY: :api_key"